package br.ufes.inf.prog3.lista1.exercicio07;

/**
 * Classe que representa um triângulo num plano cartesiano.
 * 
 * Parte do exercício 7, da lista 1.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public class Triangulo {
	private Ponto vertice1;
	
	private Ponto vertice2;
	
	private Ponto vertice3;
	
	public Triangulo(Ponto vertice1, Ponto vertice2, Ponto vertice3) {
		this.vertice1 = vertice1;
		this.vertice2 = vertice2;
		this.vertice3 = vertice3;
	}
	
	public Triangulo(double x1, double y1, double x2, double y2, double x3, double y3) {
		vertice1 = new Ponto(x1, y1);
		vertice2 = new Ponto(x2, y2);
		vertice3 = new Ponto(x3, y3);
	}
	
	public double calcularPerimetro() {
		return vertice1.calcularDistancia(vertice2) + vertice2.calcularDistancia(vertice3) + vertice3.calcularDistancia(vertice1);
	}
}
