package br.ufes.inf.prog3.lista1;

/**
 * Programa que descobre todo número de quatro algarismos abcd tal que (ab) + (cd) = (ef) e (ef)^2 = (abcd). Exercício 2
 * da lista 1.
 * 
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public class Exercicio02 {

	/** Método principal. */
	public static void main(String[] args) {
		// Testa todos os números de 1000 a 9999.
		for (int abcd = 1000; abcd < 10000; abcd++) {
			// Separa o número (abcd) em (ab) e (cd).
			int ab = abcd / 100;
			int cd = abcd % 100;
			
			// Calcula o número (ef) e o seu quadrado.
			int ef = ab + cd;
			int ef2 = ef * ef;
			
			// Verifica a propriedade e imprime se verdadeira.
			if (abcd == ef2) 
				System.out.println(abcd);
		}
	}
}
