package br.ufes.inf.prog3.lista1.exercicio07;

/**
 * Classe que representa um ponto no plano cartesiano.
 * 
 * Parte do exercício 7, da lista 1.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public class Ponto {
	private double x;
	
	private double y;
	
	public Ponto(double x, double y) {
		this.x = x;
		this.y = y;
	}
	
	public double calcularDistancia(Ponto ponto) {
		return Math.sqrt(Math.pow(x - ponto.x, 2) + Math.pow(y - ponto.y, 2));
	}
}
